html,
body {
  height: 100%;
  margin: 0;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

main {
  flex: 1 0 auto; /* grow and take all space */
  overflow-y: auto;
}

footer {
  flex-shrink: 0; /* prevent footer from shrinking */
}

header {
  background-size: cover;
  background-position: center;
}

section {
  max-width: 56.25rem;
}
h1, h2, h3 {
  font-family: "Montserrat", sans-serif;
  font-weight: 600;
  font-size: 3rem;
  color: #000000;
}

.booklet-link {
color: #3264ec;
}

p {
  font-family: "Montserrat", sans-serif;
  font-size: larger;
  color: #000000;
}

ul,
ol,
li {
  font-family: "Montserrat", sans-serif;
  font-size: large;
  color: #000000;
  margin: 1rem 0;
}

/* navbar */
.navbar {
  position: relative; /* make the pseudo/image layer relative to navbar */
  padding-top: 1.5rem;
  padding-bottom: 1.5rem;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 10;
  font-size: large;
}

/* Image behind navbar */
.nav-img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%; /* same height as navbar */
  background-image: url("/img/hero.jpg");
  background-size: cover;
  background-position: center;
  z-index: 1;
  border-bottom-left-radius: 0; /* optional styling */
  border-bottom-right-radius: 0;
  background-color: rgba(0, 0, 0, 0.5); /* dark overlay */
  background-blend-mode: overlay;
}

/* Make navbar content above the image */
.navbar .container,
.navbar .navbar-brand,
.navbar .nav-link,
.navbar .navbar-toggler {
  position: relative;
  z-index: 11;
}

/* carousel */
.carousel-inner img {
  height: 43rem; /* fixed height */
  object-fit: cover; /* crop/scale image to fill */
  width: 100%; /* full width */
}

/* button */
.scroll-to-top {
  position: relative;
}

.scroll-btn-position {
  position: fixed;
  bottom: 2.5rem;
  right: 1.5rem;
  z-index: 9999;
}

.scroll-btn-style {
  background-color: #3264ec;
  /* border: 2px solid #fff; */
  border-radius: 50%;
  height: 3.125rem;
  width: 3.125rem;
  color: #3d3b3b;
  cursor: pointer;
  animation: movebtn 7s ease-in-out infinite;
  transition: all 0.5s ease-in-out;
  font-size: 2.5rem;
  display: flex;
  padding-top: 0.75rem;
  justify-content: center;
  align-items: center;
  visibility: hidden;
}
.scroll-btn-style:hover {
  background-color: #011d6a;
  color: #fff;
  transform: scale(1.1);
}

@keyframes movebtn {
  0% {
    transform: translateY(0px);
  }
  25% {
    transform: translateY(20px);
  }
  50% {
    transform: translateY(0px);
  }
  75% {
    transform: translateY(-20px);
  }
  100% {
    transform: translateY(0px);
  }
}

.anchor {
  width: 1.5rem; /* height of fixed header */
}

.symbol {
  position: absolute;
  top: -1px; /* Adjust as needed */
  font-size: 1rem;
  color: #fff;
  font-weight: bold;
}

.navbar,
.navbar-brand {
  font-family: "Montserrat", sans-serif;
  font-weight: 600;
  color: #c7c5c5;
}
.navbar-brand {
  font-family: "Agency FB", sans-serif;
  font-size: 2rem;
}

/* Show dropdown on hover */
.dropdown:hover .dropdown-menu {
  display: block;
  background-color: rgb(250, 250, 250);
}
.dropdown-menu a:hover {
  background-color: rgb(33, 37, 41);
  color: rgb(250, 250, 250);
}

/* customize gallery 
.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(220px, 1fr));
  gap: 12px;
}
.gallery img {
  width: 100%;
  height: 17rem;
  object-fit: cover;
  border-radius: 10px;
  cursor: pointer;
  transition: transform 0.3s;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
}
.gallery img:hover {
  transform: scale(1.05);
}*/

/* gallery thumbnails */
.gallery-category {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  margin-top: 3rem;
}
.category-card {
  width: 500px;
  height: 600px;
  text-align: center;
  cursor: pointer;
  transition: transform 0.2s;
}
.category-card img {
  width: 100%;
  height: 500px;
  object-fit: cover;
  border-radius: 8px;
  border: #d1d3d3 1px solid;
}
.category-card:hover {
  transform: scale(1.05);
}
.category-name {
  margin-top: 20px;
  font-weight: bold;
  font-size: 1.2rem;
}

.masonry-gallery {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  gap: 1rem;
}

.masonry-item img {
  width: 100%;
  display: block;
  object-fit: cover;
  border-radius: 8px;
  transition:
    transform 0.4s ease,
    filter 0.4s ease;
}

.landscape-stack a img {
  transition:
    transform 0.4s ease,
    filter 0.4s ease;
}

.landscape-stack a:hover img,
.masonry-item img:hover {
  transform: scale(1.03);
  filter: brightness(1.05);
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

/* Portrait image */
.portrait {
  height: 496px;
}

/* Landscape image */
.landscape {
  height: 240px;
}

/* Stack two landscapes vertically */
.landscape-stack {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

@media (max-width: 768px) {
  .portrait {
    height: auto;
  }
  .landscape {
    height: auto;
  }
}

/* news button */
button.sticky-btn {
  position: sticky;
  visibility: visible !important;
}

/* booklet language switch */
.lang-switch {
  margin-bottom: 20px;
}

.lang-switch button {
  border: none;
  padding: 10px 15px;
  margin: 8px;
  border-radius: 50%;
  cursor: pointer;
  transition: 0.2s;
  background-color: white;
}

.lang-switch button:hover {
  background: #ddd;
}

.booklet-img {
  max-width: 100%;
  height: auto;
  margin-bottom: 7px;
  border-radius: 10px;
}

.signature {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 40px;
  padding-top: 20px;
  border-bottom: 2px solid #ccc;
  margin-bottom: 40px;
}

.left {
  text-align: left;
  font-weight: bold;
  font-size: medium;
}

.right {
  text-align: right;
  font-weight: bold;
}

.booklet-pages {
  margin-top: 80px;
  padding-top: 50px;

  border-top: 3px solid #ddd;

  background: #f7f7f7;

  padding: 50px 40px;
  border-radius: 16px;
}

.booklet-pages h3 {
  margin-bottom: 30px;
  text-align: center;
  font-weight: 800;
}

.booklet-page {
  width: 100%;
  max-width: 900px;

  display: block;
  margin: 0 auto 40px auto;

  border-radius: 10px;

  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.5);
}
